Package writer2latex.xhtml

# Class ListStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.ListStyleConverter

public class ListStyleConverter extends StyleConverterHelper
This class converts OpenDocument list styles to CSS2 styles (currently, actually CSS1).

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`ListStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ListStyleConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyStyle(int nLevel, String sStyleName, StyleInfo info)`
`String`
`getStyleDeclarations(String sIndent)`
Convert style information for used styles
`OfficeStyleFamily`
`getStyles()`
Get the family of list styles

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListStyleConverter

public ListStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)
Create a new `ListStyleConverter`

Parameters:
  `ofr` - an `OfficeReader` to read style information from
  `config` - the configuration to use
  `converter` - the main `Converter` class
  `nType` - the type of xhtml to use

## Method Details

### applyStyle

public void applyStyle(int nLevel, String sStyleName, StyleInfo info)

### getStyleDeclarations

public String getStyleDeclarations(String sIndent)

Convert style information for used styles

Specified by:
  `getStyleDeclarations` in class `StyleConverterHelper`
Parameters:
  `sIndent` - a String of spaces to add before each line

### getStyles

public OfficeStyleFamily getStyles()
Get the family of list styles

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family